unit Vis3D_DrawableSettings;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, TextEditor, Vcl.StdCtrls, rgl,
  UxPanel, Vcl.ExtCtrls, ColorContainer, ScrollBoxEx;

type
  TVis3D_DrawableSettingsFrm = class(TDrawableOptionsFrm3D)
    btnApply: TUxButton;
    ScrollBox1: TScrollBoxEx;
    lblLineWidth: TLabel;
    lblStyleName: TLabel;
    Label6: TLabel;
    eLineWidth: TTextEditor;
    procedure btnApplyClick(Sender: TObject);
  public
    procedure Initialize; override;
    procedure UpdateDrawable; override;
  end;

implementation

{$R *.dfm}

procedure TVis3D_DrawableSettingsFrm.btnApplyClick(Sender: TObject);
begin
  UpdateDrawable;
end;

procedure TVis3D_DrawableSettingsFrm.Initialize;
begin
  inherited;
  var Obj := FDrawable as TDrawable3D;
  eLineWidth.PlainText := Obj.LineWidth.ToString;
end;

procedure TVis3D_DrawableSettingsFrm.UpdateDrawable;
begin
  var Obj := FDrawable as TDrawable3D;
  Obj.LineWidth := StrToFloat(eLineWidth.PlainText);
  inherited;
end;

end.
